import { h } from "@stencil/core";
import { Radio } from "./radio";
import { colorKeys, colorFor } from "../../utils";
const ColorPicker = props => {
    const { actions, state } = props;
    const { pick } = state;
    return (h("div", { id: "toolbar", class: "flex flex-wrap", role: "radiogroup" }, colorKeys.map((key) => {
        const hex = colorFor(key);
        const selected = pick === key;
        return (h("div", { "aria-label": key, "aria-checked": selected ? 'true' : 'false', role: "radio", onClick: () => {
                actions.updatePick(key);
            } }, h(Radio, { hex: hex, selected: selected, label: key })));
    })));
};
export { ColorPicker };
export default ColorPicker;
